MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000178XdebugUsage problems (Wrong Results)public2006-05-04 15:392006-05-07 23:55
ReporterSoul--Reaver 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000178: $php_errormsg and Track errors unavailable
DescriptionI have xdebug2 beta 5 installed on Windows XP SP2, Apache 2.0.58 and Apache 2.2.2. Both with PHP 5.1.3

The Track erros directive in php.ini is set to 'On' Which means the $php_errormsg should be filled with the last error message encountered in php. Only this doesn't happen while xdebug is enabled and working.
TagsNo tags attached.
Operating SystemWindows XP
PHP Version5.1.2
Attached Files

- Relationships

-  Notes
(0000395)
Soul--Reaver (reporter)
2006-05-04 16:19

For some errors it seems it does create the php_errormsg with xdebug enabled.

ea.

doesn't create $php_errormsg - but should with error: fsockopen() expects at least 1 parameter, 0 given
<?php
fsockopen();
?>

creates proper $php_errormsg if connection fails to port 5000 because its closed - error: unable to connect to localhost:5000 (A connection attempt failed because the connected party did not properly respond after a period of time, or established connection failed because connected host has failed to respond.
)
<?php
fsockopen( 'localhost', 5000, $errno, $errstr, 2 );
?>
(0000401)
derick (administrator)
2006-05-07 23:55

Fixed in CVS, thanks for the report!

- Issue History
Date Modified Username Field Change
2006-05-04 15:39 Soul--Reaver New Issue
2006-05-04 16:19 Soul--Reaver Note Added: 0000395
2006-05-07 23:55 derick Status new => closed
2006-05-07 23:55 derick Note Added: 0000401
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker